/**
@file
@verbatim
$Id: FrameOutput.h 3096 2005-06-21 20:07:11Z ekuznetsov $

Copyright (c) 2002-2004 DivX, Inc. All rights reserved.

This software is the confidential and proprietary information of DivX, Inc.,
Inc. and may be used only in accordance with the terms of your license from
DivX, Inc.

@endverbatim
*/


#ifndef _Q_FrameOutput
#define _Q_FrameOutput

/// Structure containing basic information about a bitstream buffer and bitstream contained within that buffer.
class FrameOutput
{
public:
    unsigned char* bitstreamBuffer; ///< Destination buffer for encoded bitstream.
    int sizeBitstreamBuffer; ///< Size of the available buffer at bitstreamBuffer in bytes.
    int sizeBitstream; ///< Actual size of bitstream within bitstreamBuffer in bytes (populated by encoder).
    bool keyframe; ///< Set true if the encoded frame is an intra frame.
};

#endif // _Q_FrameOutput

